Name:           libpasastro
Version:        1.0
Release:        7.20160111svn%{?dist}
Summary:        Pascal interface for standard astronomy libraries

License:        GPLv2+
URL:            http://sourceforge.net/projects/libpasastro/
# Official stable version doesn't include yet fixes required upstream
# for packaging in Fedora, so we use svn version.
# Use the following commands to generate the tarball:
# svn export -r 9 svn://svn.code.sf.net/p/libpasastro/code/trunk libpasastro-1.0
# tar -cJvf libpasastro-1.0-svn.tar.xz libpasastro-1.0
Source0:        %{name}-%{version}-svn.tar.xz
#Source0:        http://downloads.sourceforge.net/%%{name}/%%{name}-%%{version}-src.tar.xz

# Patch to fix stripping and permissions of library files
# Since this is Fedora specific we don't ask upstream to include
Patch0:         libpasastro-1.0-fix-install.patch



%description
Libpasastro provides shared libraries to interface Pascal program 
with standard astronomy libraries.
libpasgetdss.so : Interface with GetDSS to work with DSS images.
libpasplan404.so : Interface with Plan404 to compute planets position.
libpaswcs.so : Interface with libwcs to work with FITS WCS.

%prep
%autosetup -p1

# fix library path in install.sh script on 64bit
sed -i 's/\$destdir\/lib/\$destdir\/%{_lib}/g' ./install.sh

%build
make %{_smp_mflags} arch_flags="%{optflags}"


%install
make install PREFIX=%{buildroot}%{_prefix}

# Create symlinks to soname
ldconfig -n %{buildroot}%{_libdir}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc %{_datadir}/doc/%{name}/
%{_libdir}/libpas*.so.*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-7.20160111svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 11 2016 Mattia Verga <mattia.verga@tiscali.it> - 1.0-6.20160111svn
- Update to svn rev 9

* Fri Jan 1 2016 Mattia Verga <mattia.verga@tiscali.it> - 1.0-5.20151222svn
- Remove fpc and lazarus BR and remove ExcludeArch
- Update to svn rev 6
- Use optflags for debugging generation and remove hardcoded patch

* Sun Dec 20 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.0-4.20151219svn
- Properly set ExcludeArch

* Sun Dec 20 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.0-3.20151219svn
- Better symlinks creation

* Sat Dec 19 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.0-2.20151219svn
- Use svn updated sources
- Create symlinks to soname

* Fri Dec 18 2015 Mattia Verga <mattia.verga@tiscali.it> - 1.0-1
- Initial release